using IRaCIS.Application.Contracts;

namespace IRaCIS.Application.Interfaces
{
    public interface ISponsorService
    {
        Task<PageOutput<SponsorDTO>> GetSponsorList(SponsorQueryDTO queryParam);
        Task<IEnumerable<SponsorSelectDTO>> GetAllSponsorList(Guid? sponsorId);
        Task<IResponseOutput> AddOrUpdateSponsor(SponsorCommand model);
        Task<IResponseOutput> DeleteSponsor(Guid sponsorId);
    }
}